<template>
  <layout-test>
    <catalogue-liste v-if="id == null"></catalogue-liste>

    <section>
      <catalogue-detail v-if="id"></catalogue-detail>
    </section>
  </layout-test>
</template>

<script>
import LayoutTest from "@/layouts/LayoutTest.vue";
import CatalogueListe from "@/components/AppCatalogue/liste.vue";
import CatalogueDetail from "@/components/AppCatalogue/detail.vue";
// ############ IMPORT MODULES ############ -->
export default {
  components: {
    "layout-test": LayoutTest,
    "catalogue-liste": CatalogueListe,
    "catalogue-detail": CatalogueDetail
  },
  mounted: function() {
    this.id = this.$route.params.id;
  },
  data() {
    return {
      id: null
    };
  }
};
</script>
